
#ifndef SCROLLVIEW_H
#define SCROLLVIEW_H

#include <tqscrollview.h>

#include "kformuladefs.h"

class KFormulaWidget;

using namespace KFormula;


class ScrollView : public TQScrollView {
    TQ_OBJECT
  
public:
    ScrollView();

    virtual void addChild(KFormulaWidget* c, int x=0, int y=0);

protected:
    virtual void focusInEvent(TQFocusEvent* event);

protected slots:

    void cursorChanged(bool visible, bool selecting);

private:
    KFormulaWidget* child;
};

#endif // SCROLLVIEW_H
